package domain


type AlibabaWdkItemMemberpriceUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemMemberpriceUpdateResult) SetSuccess(v bool) *AlibabaWdkItemMemberpriceUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateResult) SetCode(v string) *AlibabaWdkItemMemberpriceUpdateResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateResult) SetErrorCode(v string) *AlibabaWdkItemMemberpriceUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemMemberpriceUpdateResult {
    s.ErrorDesc = &v
    return s
}
